/// <reference types="node" />
import type { ServerResponse } from "http";
import type { Http2ServerResponse } from "http2";
import type { Response, MultipartResponse, Push, ProcessRequestResult } from "../types";
import { TransformResultFn } from "../transform-result";
export declare type RawResponse = ServerResponse | Http2ServerResponse;
export declare function sendResponseResult(responseResult: Response<any, any>, rawResponse: RawResponse, transformResult?: TransformResultFn): Promise<void>;
export declare function sendMultipartResponseResult(multipartResult: MultipartResponse<any, any>, rawResponse: RawResponse, transformResult?: TransformResultFn): Promise<void>;
export declare function sendPushResult(pushResult: Push<any, any>, rawResponse: RawResponse, transformResult?: TransformResultFn): Promise<void>;
export declare function sendResult(result: ProcessRequestResult<any, any>, rawResponse: RawResponse, transformResult?: TransformResultFn): Promise<void>;
